Faults in Linux 3.x : Using value from get_user without check as array index

As part of my work, I need to annotate  the reports generated using Coccinelle Scripts as bugs/FPs for recent Linux Kernels, recent as in versions > 3.0 till the current one 3.18.

As I’m reading the reports (newer ones), so today I completed Linux_get.new.org.

Continue reading

#array-indices, #bugs, #coccinelle, #coccinelle-scripts, #faults, #get_user, #linux-kernel, #linux-kernels